You can import this changeset into BK by piping this whole message to:
'| bk receive [path to repository]' or apply the patch as usual.

===================================================================


ChangeSet@1.1414.4.6, 2003-11-09 00:36:24-02:00, acme@conectiva.com.br
  o LLC: remove unneeded temp net_device variables


 af_llc.c |   14 +++++---------
 1 files changed, 5 insertions(+), 9 deletions(-)


diff -Nru a/net/llc/af_llc.c b/net/llc/af_llc.c
--- a/net/llc/af_llc.c	Sat Nov 15 17:04:51 2003
+++ b/net/llc/af_llc.c	Sat Nov 15 17:04:51 2003
@@ -396,7 +396,6 @@
 	struct sock *sk = sock->sk;
 	struct llc_opt *llc = llc_sk(sk);
 	struct sockaddr_llc *addr = (struct sockaddr_llc *)uaddr;
-	struct net_device *dev;
 	int rc = -EINVAL;
 
 	lock_sock(sk);
@@ -414,7 +413,6 @@
 		llc->daddr.lsap = addr->sllc_sap;
 		memcpy(llc->daddr.mac, addr->sllc_mac, IFHWADDRLEN);
 	}
-	dev = llc->dev;
 	if (sk->sk_type != SOCK_STREAM)
 		goto out;
 	rc = -EALREADY;
@@ -423,7 +421,7 @@
 	sock->state = SS_CONNECTING;
 	sk->sk_state   = TCP_SYN_SENT;
 	llc->link   = llc_ui_next_link_no(llc->sap->laddr.lsap);
-	rc = llc_establish_connection(sk, dev->dev_addr,
+	rc = llc_establish_connection(sk, llc->dev->dev_addr,
 				      addr->sllc_mac, addr->sllc_sap);
 	if (rc) {
 		dprintk("%s: llc_ui_send_conn failed :-(\n", __FUNCTION__);
@@ -732,7 +730,6 @@
 	struct sockaddr_llc *addr = (struct sockaddr_llc *)msg->msg_name;
 	int flags = msg->msg_flags;
 	int noblock = flags & MSG_DONTWAIT;
-	struct net_device *dev;
 	struct sk_buff *skb;
 	int rc = -EINVAL, size = 0, copied = 0, hdrlen;
 
@@ -754,11 +751,10 @@
 		if (rc)
 			goto release;
 	}
-	dev = llc->dev;
-	hdrlen = dev->hard_header_len + llc_ui_header_len(sk, addr);
+	hdrlen = llc->dev->hard_header_len + llc_ui_header_len(sk, addr);
 	size = hdrlen + len;
-	if (size > dev->mtu)
-		size = dev->mtu;
+	if (size > llc->dev->mtu)
+		size = llc->dev->mtu;
 	copied = size - hdrlen;
 	release_sock(sk);
 	skb = sock_alloc_send_skb(sk, size, noblock, &rc);
@@ -766,7 +762,7 @@
 	if (!skb)
 		goto release;
 	skb->sk	      = sk;
-	skb->dev      = dev;
+	skb->dev      = llc->dev;
 	skb->protocol = llc_proto_type(addr->sllc_arphrd);
 	skb_reserve(skb, hdrlen); 
 	rc = memcpy_fromiovec(skb_put(skb, copied), msg->msg_iov, copied);

===================================================================


This BitKeeper patch contains the following changesets:
1.1414.4.6
## Wrapped with gzip_uu ##


M'XL( --XMC\  \U4VVZ;0!!]9K]BI+PD2H"]L1@B1VGCJK4:J5&J/*-EF11D
M Q%@5ZWX^"[K-A<W:M0J#UTN(\T,9V;.''$ -SUVJ:=-C>0 /K3]D'JF;= ,
MU58'IJV#O+.!Z[:U@;!L:PRGW#!?\;#!P>>!"ABQ&5=Z,"5LL>M3CP7BWC-\
MN\/4NW[W_N;RS34A\SE<E+KY@I]Q@/F<#&VWU>NB/]=#N6Z;8.ATT]<XN-KC
M?>K(*>7VBE@L:*1&IJB,1\,*QK1D6% N9TJ2J;7S_?:?H@C&:$*YD#P9:4QY
M0A;  B:9#&2@@(J0L9 F0&DJ5,JE3WE**3R+#,<,?$K>PNM.<4$,M'!Y>9%"
MAW6[1=@T#6*!!0Q8WX'E/2MP6QF$K>XJG:^Q)Q\AIH*2JP=ZB?^7AQ"J*3E[
M?M;15@W7:S,]6=^:56!VXT2"42$B+D<A8A6-8I;$G!LF9U&>(.(+</HVLV8'
M]FLWBEEN.(^DT\M^YB2;UVWQ!;C]%CF-621G(XMMDTX^4;(O'*;^+)P(_.1_
M$<Z.ZD_@=U_=;95P]1OK_Z"FA4@28&0A6>P,5]8L=\;K[!YA6A3V@VVDZLO,
MLN1H:IO#?G4R!?TSVZY[9;HHNA.RB$4T8<51#)PLXV@V895%M\9FA_?SDU)W
M15:B+K#+IMBQJ[6I'OE<D0GVZ-0"*NH %;/&JV[AL*^^(YP]@JR'S1'Q/.>?
K/_4[@&G6Y<YX_2IW47#G(?OTX5=I2C2K?E//F<K5C.9(?@"TBGB,C04     
 
